Activate tests for PHP 5.5 on travis 35/21635/2
authorHelmut Hummel <helmut.hummel@typo3.org>
Mon, 24 Jun 2013 14:34:18 +0000 (16:34 +0200)
committerHelmut Hummel <helmut.hummel@typo3.org>
Mon, 24 Jun 2013 21:04:14 +0000 (23:04 +0200)
Change-Id: Iff803f329275f17921b26d88eb46d7b323b7c7ee
Reviewed-on: https://review.typo3.org/21635
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
.travis.yml

index 5966734..d5cedd7 100644 (file)
@@ -2,6 +2,7 @@ language: php
 php:
   - 5.3
   - 5.4
+  - 5.5
 
 env:
   - DB=mysql
@@ -13,7 +14,7 @@ before_script:
 # Install build dependencies
   - git clone git://github.com/typo3-ci/TYPO3-Travis-Integration.git build-environment
   - source build-environment/install-helper.sh
-  - installPhpModule igbinary
+  - if [[ "$TRAVIS_PHP_VERSION" != "5.5" ]]; then installPhpModule igbinary; fi
   - installPhpModule -y memcache
   - installPhpModule redis
   - if [[ "$TRAVIS_PHP_VERSION" == "5.3" ]]; then installPhpModule -y apc; fi